
import apis from '../utils/request';
const { GET, POST, PUT, DELETE } = apis
// 保存用户信息
export const login = async function(data) {
  return await POST('/wx/login', data);
}

// 非管理员验证
export const userValidate = async function(data) {
  return await POST('/wx/user/validate', data);
}

// 获取用户邀请二维码
export const getWxCode = async function(data) {
  return await GET('/wx/getWxCode', data);
}

// 获取扫描二维码的列表
export const getApproveList = async function(data) {
  return await GET('/wx/getApproveList', data);
}

// 审批用户加入
export const approveUser = async function(data) {
  return await POST('/wx/approve', data);
}

// 移除用户
export const removeUser = async function(data) {
  return await DELETE(`/wx/removeUser/${uid}`);
}